***[ CSC32 7.1 Declarations for xBase++] ***

#define CSC_SET_CONNECT_WAIT      1
#define CSC_SET_SLEEP_TIME        2
#define CSC_SET_CLOSE_LINGER      3
#define CSC_SET_WRITE_BUFSIZE     4
#define CSC_SET_BLOCKING_MODE     5
#define CSC_SET_LOG_FILE          6
#define CSC_SET_FILE_PATH         7
#define CSC_SET_DEBUG_LEVEL       8
#define CSC_SET_BUFFER_SIZE       9
#define CSC_SET_TIMEOUT_VALUE    10
#define CSC_SET_TCP_NODELAY      11
#define CSC_SET_LINGER           12
#define CSC_SET_STOP_BYTE        13
#define CSC_SET_FILE_APPEND      14
#define CSC_SET_FILE_OVERWRITE   15
#define CSC_SET_DELAY_TIME       16
#define CSC_SET_MAX_PACKET_SIZE  17
#define CSC_SET_CLOSE_TIMEOUT    18
#define CSC_SET_SOCK_REUSE       19
#define CSC_GET_ERROR_TEXT       20
#define CSC_GET_COUNTER          21
#define CSC_GET_SOCK_ERROR       22
#define CSC_GET_SOCKET           23
#define CSC_GET_CONNECT_STATUS   24
#define CSC_GET_REGISTRATION     25
#define CSC_GET_LOCAL_IP         26
#define CSC_GET_REMOTE_IP        27
#define CSC_GET_VERSION          28
#define CSC_GET_BUILD            29
#define CSC_GET_FILE_NAME        30
#define CSC_GET_FILE_LENGTH      31
#define CSC_GET_REMOTE_SERVER_IP 32
#define CSC_GET_REMOTE_CLIENT_IP 33
#define CSC_GET_COMPUTER_NAME    34
#define CSC_GET_BUFFER_SIZE      35
#define CSC_GET_DAYS_LEFT        36
#define CSC_GET_MAX_PACKET_SIZE  37
#define CSC_GET_MAX_UDP_SIZE     38

#define CSC_WRITE_TO_LOG         50

#define CSC_NO_ERROR              1
#define CSC_FILES_MATCH           2
#define CSC_EOF                  -1
#define CSC_ABORTED              -2
#define CSC_ACCEPT_ERROR         -3
#define CSC_ALREADY_ATTACHED     -4
#define CSC_CANNOT_COMPLY        -5
#define CSC_NO_SUCH_SOCKET       -6
#define CSC_CONNECT_ERROR        -7
#define CSC_LISTEN_ERROR         -8
#define CSC_NO_SUCH_HOST         -9
#define CSC_NOT_ATTACHED        -10
#define CSC_NULL_ARGUMENT       -11
#define CSC_NULL_POINTER        -12
#define CSC_CANNOT_ALLOCATE     -13
#define CSC_BUFFER_SIZE_ERROR   -14
#define CSC_CRC_ERROR           -15
#define CSC_TOO_MANY_SOCKETS    -16
#define CSC_NO_FREE_SOCKETS     -17
#define CSC_NO_SUCH_FILE        -18
#define CSC_FILE_FORMAT_ERROR   -19
#define CSC_FILE_NAME_ONLY      -20
#define CSC_PACKET_TIMEOUT      -21
#define CSC_PACKET_ERROR        -22
#define CSC_XFER_CANCELLED      -23
#define CSC_FILE_TOO_LARGE      -24
#define CSC_NO_LISTEN_SOCK      -25
#define CSC_ARGUMENT_RANGE      -26
#define CSC_DATA_SIZE           -27
#define CSC_CONNECT_TIMEOUT     -28
#define CSC_PACKET_SIZE         -29
#define CSC_CANNOT_RESOLVE      -30
#define CSC_BAD_KEY_CODE        -74
#define CSC_BAD_OFFSET          -75

#define CSC_EXPIRED (-104)
#define CSC_KEYCODE (-108)

#define CSC_DEBUG_OFF   0
#define CSC_DEBUG_LOW   1
#define CSC_DEBUG_HIGH  2

*** CSC Functions

FUNCTION XcscAcceptConnect(nSock) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscAcceptConnect",nSock) 

FUNCTION XcscAttach(nDataSocks,nListenSocks,nKeyCode) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscAttach",nDataSocks,nListenSocks,nKeyCode) 

FUNCTION XcscAwaitConnect(nSock,nTimeout) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscAwaitConnect",nSock,nTimeout) 

FUNCTION XcscAwaitData(nSock,nTimeout) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscAwaitData",nSock,nTimeout) 

FUNCTION XcscByteToShort(cBuffer) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscByteToShort",@cBuffer) 

FUNCTION XcscChallenge(cBuffer) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscChallenge",@cBuffer) 

FUNCTION XcscClient(cClientName,nClientPort) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscClient",@cClientName,nClientPort) 

FUNCTION XcscClientExt(cClientName,nClientPort,cLocalIP) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscClientExt",@cClientName,nClientPort,@cLocalIP) 

FUNCTION XcscClose(nSock) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscClose",nSock) 

FUNCTION XcscCreateUDP(nLocalPort,cLocalHost)
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscCreateUDP",nLocalPort,@cLocalHost)

FUNCTION XcscCryptoGetData(nSock,cBuffer,nBufLen,cPadChr,nPadLen)  
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscCryptoGetData",nSock,@cBuffer,nBufLen,@cPadChr,nPadLen)

FUNCTION XcscCryptoGetFile(nSock,cFilenameArg,cPadChr,nPadLen)  
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscCryptoGetFile",nSock,@cFilenameArg,@cPadChr,nPadLen)  

FUNCTION XcscCryptoGetPacket(nSock,cBuffer,nBufLen,cPadChr,nPadLen)  
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscCryptoGetPacket",nSock,@cBuffer,nBufLen,@cPadChr,nPadLen)  
  
FUNCTION XcscCryptoPutData(nSock,cBuffer,nBufLen,cPadChr,nPadLen)  
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscCryptoPutData",nSock,@cBuffer,nBufLen,@cPadChr,nPadLen) 

FUNCTION XcscCryptoPutFile(nSock,cFilename,cPadChr,nPadLen)  
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscCryptoPutFile",nSock,@cFilename,@cPadChr,nPadLen)  

FUNCTION XcscCryptoPutFileExt(nSock,cFilename,cPadChars,nPadLength)        
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscCryptoPutFileExt",nSock,@cFilename,@cPadChars,nPadLength) 

FUNCTION XcscCryptoPutPacket(nSock,cBuffer,nBufLen,cPadChr,nPadLen)  
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscCryptoPutPacket",nSock,@cBuffer,nBufLen,@cPadChr,nPadLen)

FUNCTION XcscDataCRC(nInitCRC,cBuffer,nBufLen)
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscDataCRC",nInitCRC,@cBuffer,nBufLen)

FUNCTION XcscErrorText(nErrCode,cBuffer,nBufLen) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscErrorText",nErrCode,@cBuffer,nBufLen) 

FUNCTION XcscFileCRC(cFilePath)
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscFileCRC",@cFilePath)

FUNCTION XcscFileLength(cFilename) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscFileLength",@cFilename) 

FUNCTION XcscFillRandom(cPadChars,nPadCharsLen,nSeed)
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscFillRandom",@cPadChars,nPadCharsLen,nSeed)

FUNCTION XcscGetData(nSock,cBuffer,nBufLen) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscGetData",nSock,@cBuffer,nBufLen) 

FUNCTION XcscGetFile(nSock,cFilename) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscGetFile",nSock,@cFilename) 

FUNCTION XcscGetFileExt(nSock,nFileFlag)
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscGetFileExt",nSock,nFileFlag)

FUNCTION XcscCryptoGetFileExt(nSock,nFileFlag,cPadChars,nPadLength)    
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscCryptoGetFileExt",nSock,nFileFlag,@cPadChars,nPadLength) 

FUNCTION XcscGetInteger(nSock,nIndex) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscGetInteger",nSock,nIndex) 

FUNCTION XcscGetPacket(nSock,cBuffer,nBufLen)
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscGetPacket",nSock,@cBuffer,nBufLen)

FUNCTION XcscGetString(nSock,nIndex,cBuffer,nBufLen) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscGetString",nSock,nIndex,@cBuffer,nBufLen) 

FUNCTION XcscGetUDP(nSock,cBuffer,nBufLen,cIPdotted)
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscGetUDP",nSock,@cBuffer,nBufLen,@cIPdotted)

FUNCTION XcscIsConnected(nSock) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscIsConnected",nSock) 

FUNCTION XcscLaunch(PgmPath,CmdLine) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscLaunch",@PgmPath,@CmdLine)

FUNCTION XcscMakeDotted(nAddr,cBuffer,nBufLen) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscMakeDotted",nAddr,@cBuffer,nBufLen) 

FUNCTION XcscMakeDotted4(nByte1,nByte2,nByte3,nByte4,cBuffer,nBufLen) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscMakeDotted4",nByte1,nByte2,nByte3,nByte4,@cBuffer,nBufLen) 

FUNCTION XcscMulticast(nDataSock,nMulticastIP)
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscMulticast",nDataSock,nMulticastIP) 

FUNCTION XcscNetToHost16(nInteger) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscNetToHost16",nInteger)

FUNCTION XcscNetToHost32(nInteger) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscNetToHost32",nInteger)

FUNCTION XcscPutData(nSock,cBuffer,nBufLen) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscPutData",nSock,@cBuffer,nBufLen) 

FUNCTION XcscPutFile(nSock,cFilename) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscPutFile",nSock,@cFilename) 

FUNCTION XcscPutFileExt(nSock,cFilename)    
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscPutFileExt",nSock,@cFilename)    

FUNCTION XcscPutPacket(nSock,cBuffer,nBufLen)
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscPutPacket",nSock,@cBuffer,nBufLen)

FUNCTION XcscPutUDP(nSock,cBuffer,nBufLen,nRemoteIP,nRemotePort)
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscPutUDP",nSock,@cBuffer,nBufLen,nRemoteIP,nRemotePort)

FUNCTION XcscReadSize(nSock) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscReadSize",nSock) 

FUNCTION XcscRelease() 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscRelease")

FUNCTION XcscResolve(cHostName,nHostIndex) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscResolve",@cHostName,nHostIndex) 

FUNCTION XcscResponse(@cChallenge,nMultiplier,nMask,nRotateCount,cResponse) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscResponse",@cChallenge,nMultiplier,nMask,nRotateCount,@cResponse) 

FUNCTION XcscServer(cServerName,nServerPort,nMaxConnect) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscServer",@cServerName,nServerPort,nMaxConnect) 

FUNCTION XcscSetInteger(nSock,nParamName,nParamValue) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscSetInteger",nSock,nParamName,nParamValue) 

FUNCTION XcscSetString(nSock,nParamName,cParamPtr) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscSetString",nSock,nParamName,@cParamPtr) 

FUNCTION XcscShortToByte(cBuffer) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"ShortToByte",@cBuffer) 

FUNCTION XcscSleep(nMilliSecs) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscSleep",nMilliSecs) 

FUNCTION XcscSystemTics() 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscSystemTics")

FUNCTION XcscTestDotted(cDottedIP) 
RETURN DLLCALL("CSC32.DLL",DLL_STDCALL,"cscTestDotted",@cDottedIP) 

***[ End of CSC32 Declarations ]***
